﻿$ErrorActionPreference = 'Stop'; 

$packageName= 'osu!' 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://m1.ppy.sh/release/osu!install.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE' 
  url           = $url
  softwareName  = 'osu!'
  checksum      = 'af3e34f5e7649d8ce8caf8ae9a2a3d0fc0b874e5adfdf8aea8dd8dfb2ee35f66'
  checksumType  = 'sha256' 
  silentArgs    = @'
/q /ComponentArgs "osu!":"/quiet /qn /norestart"
'@
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs 
